{ host, ... }:
let
  vars = import ../../hosts/${host}/variables.nix;
  keyboardLayout = vars.keyboardLayout or "us";
  keyboardVariant = vars.keyboardVariant or "";
  enableXServer = vars.displayManager == "sddm";
in
{
  services.xserver = {
    enable = enableXServer;
    xkb = {
      layout = "${keyboardLayout}";
      variant = "${keyboardVariant}";
    };
  };
}
